#!/bin/sh

# copy_activation.sh
# Alien Installer
#
# Created by MikeEr on 10/15/10.
# Copyright 2010 Alien Skin Software. All rights reserved.

copy_activation_file()
{
  if [ -e "$source" ]
  then

    if [ -e "${dest}/${filename}" ]
    then
      rm -fdR "$dest/${filename}"
    fi

    mkdir -m777 "$dest"

    find  "$source" -name "$filename" -print -execdir cp -R {} "$dest" \;

  fi

}

source="../../build/Release"
dest="$BUILT_PRODUCTS_DIR"/"$CONTENTS_FOLDER_PATH"/SharedSupport/Activation
filename="Alien Skin Activation.app"
copy_activation_file

filename="Configuration.ini"
copy_activation_file